/* Light mode */
@media (prefers-color-scheme: light) {
  :root {
    --bgColor: white;
    --textcolor1: #18191b;
    --textcolor2: #727478;
    --textcolor3: #2e3033;
    --textcolor4: #3C77FF;
  }
}

/* Dark mode */
@media (prefers-color-scheme: dark) {
  :root {
    --bgColor: #040404;
    --textcolor1: #fff;
    --textcolor2: #e3e3e1;
    --textcolor3: #fff;
    --textcolor4: #3C77FF;
  }
}

:root {
  --fontWeight1: 510;
  --fontWeight2: 590;
  --size24: 0.48rem;
  --size22: 0.44rem;
  --size20: 0.4rem;
  --size18: 0.36rem;
  --size16: 0.32rem;
  --size14: 0.28rem;
  --size12: 0.24rem;
  --size10: 0.2rem;
  --size8: 0.16rem;
}



html {
  font-size: 13.33333333vw;
  font-family: sans-serif;
}


html,
body {
  max-width: 100vw;
  height: 100%;
  /* overflow-x: hidden; */
  margin: 0;
  padding: 0;
  background-color: var(--bgColor);
}

body {
  box-sizing: border-box;

}

main {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.container {
  flex: 1;
  height: 0;
  overflow-x: hidden;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 20px 24px 0px;
  /* margin-bottom: 40px; */
}

h1 {
  margin: 0;
  font-size: var(--size18);
  /*18px*/
  font-weight: var(--fontWeight2);
  line-height: 1.2;
  color: var(--textcolor1);
}

h2 {
  margin: 0;
  font-size: var(--size16);
  /*16px*/
  font-weight: var(--fontWeight2);
  ;
  line-height: 1.2;
  color: var(--textcolor1);
}

h3 {
  margin: 0 0 4px 0;
  font-size: var(--size14);
  /*14px*/
  font-weight: var(--fontWeight2);
  line-height: 1.2;
  text-align: left;
  color: var(--textcolor1);
}

section {
  margin: 0;
  font-size: var(--size14);
  /*14px*/
  font-weight: var(--fontWeight1);
  line-height: var(--size20);
  color: var(--textcolor2);
  display: flex;
  flex-direction: column;
  gap: 8px;
}

p {
  margin: 0;
}



span.bold {
  color: var(--textcolor3);
  text-decoration: none;
  font-weight: bold;
}

.blod_span {
  font-weight: 590;
  color: var(--textcolor3);
}

.noraml_span {
  font-weight: 590;
  color: var(--textcolor3);
}

.link {
  color: var(--textcolor4);
  text-decoration: underline;
  font-weight: var(--fontWeight1);
  cursor: pointer;
}

.underline {
  text-decoration: underline;
}

.red {
  color: #F24949;
}

.blue {
  color: #3C77FF;
}

.black {
  color: var(--textcolor3);
}

.text_center {
  text-align: center;
}

nav {
  display: none;
  width: 100%;
  box-sizing: border-box;
  padding: 40px 16px 0;
}

.nav-container {
  display: flex;
  height: 40px;
  align-items: center;
  gap: 12px;
}

.nav-action {
  min-width: 28px;
  height: 100%;
  display: flex;
  align-items: center;
}

.nav-action div {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.nav-title {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: var(--fontWeight2);
  font-size: var(--size18);
  line-height: var(--size24);
}

.flex-line {
  display: flex;
  gap: 2px;
}

.flex-line .point-black,
.flex-line .point-gray {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 16px;
  height: 16px;
  flex-shrink: 0;
}

.flex-line .point-black::after,
.flex-line .point-gray::after {
  content: '';
  display: block;
  width: 4px;
  height: 4px;
  border-radius: 50%;
}

.flex-line .point-black::after {
  background-color: var(--textcolor3);
}

.flex-line .point-gray::after {
  background-color: var(--textcolor2);
}

.flex-line .line-text {
  flex: 1;
}

.rtl_icon {
  transform: rotate(180deg);
}

@media screen and (min-width: 800px) {
  html {
    font-size: 50px;
  }
}